#!/bin/bash
# $ GPL2 by yjmenezes at gmail.com ver 1.0 2012-02-02 $
# apply patch to rtklib
cd /tmp
wget -c http://www.rtklib.com/prog/rtklib_2.4.1.zip
rm -r rtklib_2.4.1
unzip rtklib_2.4.1.zip
DIR=/tmp/rtklib_2.4.1/app
rm /tmp/error.txt
# get the 5 patchs and apply them
for p in p{1..5}; do
	wget -c http://www.rtklib.com/prog/rtklib_2.4.1_$p.zip
	unzip rtklib_2.4.1_$p.zip
	diff -cr rtklib_2.4.1 rtklib_2.4.1_$p > $p.patch
	patch -p0 -i $p.patch
done
# compile the patched sources
cd $DIR
for f in convbin pos2kml rtksdr rnx2rtkp str2str rtkrcv
do
	echo $f 1>&2
	cd $f/gcc 
	make clean
	make  2>>/tmp/error.txt
	cp $f /tmp/
	cd ../..
done
cd /tmp/
tar cjvf rtklib_x32_`date +%F`.tar.bz2  convbin pos2kml rtksdr rnx2rtkp str2str rtkrcv
# there are some problems here
#cd $DIR/../util/simobs/gcc
#make  2>>/tmp/error.txt
#cd /tmp/
exit 0

